Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding
Class Base64

    java.lang.Object
      org.apache.axis.encoding.Base64

public class Base64
extends Object

Author:
  TAMURA Kent <kent@trl.ibm.co.jp>

Constructor Summary
`Base64()`

Method Summary
`static byte[]` | `decode(char[] data, int off, int len)`
`static void` | `decode(char[] data, int off, int len, OutputStream ostream)`
`static byte[]` | `decode(String data)`
`static void` | `decode(String data, OutputStream ostream)`
`static String` | `encode(byte[] data)` Returns base64 representation of specified byte array.
`static String` | `encode(byte[] data, int off, int len)` Returns base64 representation of specified byte array.
`static void` | `encode(byte[] data, int off, int len, OutputStream ostream)` Outputs base64 representation of the specified byte array to a byte stream.
`static void` | `encode(byte[] data, int off, int len, Writer writer)` Outputs base64 representation of the specified byte array to a character stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Base64

    public Base64()

Method Detail

### decode

    public static byte[] decode(char[] data,
                                int off,
                                int len)

### decode

    public static byte[] decode(String data)

### decode

    public static void decode(char[] data,
                              int off,
                              int len,
                              OutputStream ostream)
                       throws IOException

  Throws:
    `IOException`

### decode

    public static void decode(String data,
                              OutputStream ostream)
                       throws IOException

  Throws:
    `IOException`

### encode

    public static String encode(byte[] data)

  Returns base64 representation of specified byte array.

### encode

    public static String encode(byte[] data,
                                int off,
                                int len)

  Returns base64 representation of specified byte array.

### encode

    public static void encode(byte[] data,
                              int off,
                              int len,
                              OutputStream ostream)
                       throws IOException

  Outputs base64 representation of the specified byte array to a byte stream.

  Throws:
    `IOException`

### encode

    public static void encode(byte[] data,
                              int off,
                              int len,
                              Writer writer)
                       throws IOException

  Outputs base64 representation of the specified byte array to a character stream.

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.